package com.nisemoe.nise.osu

import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.Test
import java.io.FileInputStream

class OsuReplayTest {

    @Test
    fun testDecode() {
        // Read the .osr file into a ByteArray
        val filePath = "replay1.osr"
        val fileByteArray = FileInputStream(filePath).readBytes()

        // Create an OsuReplay instance and decode the file
        val replay = OsuReplay(fileByteArray)

        // Assert the decoded properties
        assertEquals(0, replay.gameMode)
        assertEquals("jup1terrosu", replay.playerName)
    }

}